+++
date = 2025-07-10
draft = false
title = 'Dafny'
subtitle = 'Program Proofs'
links = [
    { title = "Homepage", url = "https://dafny.org/", icon = 'fa-solid fa-home' },
    { title = "Source Code", url = "https://github.com/dafny-lang/dafny", icon = 'fa-brands fa-github'  },
    # { title = "Playground", url = "https://cvc5.github.io/app/", icon = 'fa-solid fa-gamepad' }
]
applications = ['Program Prover']
developers = ['Amazon Web Services']
licenses = ['MIT']
inputs = ['Dafny']
interfaces = ['CLI', 'VSCode']
maintenance = ['Actively Maintained']
# techniques = ['CDCL']
# publications = ['Barbosa2022']
+++

<!-- {{<inactive year="2023">}} -->
Dafny is a verification-aware programming language that has native support for recording specifications and is equipped with a static program verifier.